<?php
namespace Entity;

class CharacterEntity
{
    
    private int $id_character;
    
    private string $name;
    
    private string $img_path;

    /**
     * @param int $id_character
     * @param string $name
     * @param string $img_path
     */
    public function __construct(int $id_character, string $name, string $img_path)
    {
        $this->id_character = $id_character;
        $this->name = $name;
        $this->img_path = $img_path;
    }

    /**
     * @return int
     */
    public function getIdCharacter(): int
    {
        return $this->id_character;
    }

    /**
     * @param int $id_character
     */
    public function setIdCharacter(int $id_character): void
    {
        $this->id_character = $id_character;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName(string $name): void
    {
        $this->name = $name;
    }

    /**
     * @return string
     */
    public function getImgPath(): string
    {
        return $this->img_path;
    }

    /**
     * @param string $img_path
     */
    public function setImgPath(string $img_path): void
    {
        $this->img_path = $img_path;
    }

}

